kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '1'
  selfLink: /apis/apps/v1/namespaces/redhat-istio-tutorial/deployments/recommendation-v2
  resourceVersion: '7308918'
  name: recommendation-v2
  uid: 6e55c115-b3a0-11e9-bddf-fa163eeff3b8
  creationTimestamp: '2019-07-31T14:35:23Z'
  generation: 1
  namespace: redhat-istio-tutorial
  ownerReferences:
    - apiVersion: redhattutorial.kiali.io/v1
      kind: RedHatTutorial
      name: redhattutorial-installation
      uid: 6519bb2a-b3a0-11e9-9846-fa163e0b400e
  labels:
    app: recommendation
    version: v2
spec:
  replicas: 1
  selector:
    matchLabels:
      app: recommendation
      version: v2
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: recommendation
        version: v2
      annotations:
        sidecar.istio.io/inject: 'True'
    spec:
      containers:
        - resources: {}
          readinessProbe:
            exec:
              command:
                - curl
                - 'localhost:8080/health'
            initialDelaySeconds: 10
            timeoutSeconds: 10
            periodSeconds: 5
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          name: recommendation
          livenessProbe:
            exec:
              command:
                - curl
                - 'localhost:8080/health'
            initialDelaySeconds: 20
            timeoutSeconds: 10
            periodSeconds: 5
            successThreshold: 1
            failureThreshold: 3
          env:
            - name: JAVA_OPTIONS
              value: '-Xmx256m'
          securityContext:
            privileged: false
            procMount: Default
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
            - name: jolokia
              containerPort: 8778
              protocol: TCP
            - name: prometheus
              containerPort: 9779
              protocol: TCP
          imagePullPolicy: IfNotPresent
          terminationMessagePolicy: File
          image: 'quay.io/rhdevelopers/istio-tutorial-recommendation:v2'
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 1
      maxSurge: 1
  revisionHistoryLimit: 2147483647
  progressDeadlineSeconds: 2147483647
status:
  observedGeneration: 1
  replicas: 1
  updatedReplicas: 1
  unavailableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2019-07-31T14:35:23Z'
      lastTransitionTime: '2019-07-31T14:35:23Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
